wdmLogin(1x)

NAME
wdmLogin - wdm login panel

SYNOPSIS
wdmLogin [-d display] [-l logo] [-w <window managers>] [-b background] [-h helpfile] [-u username] [-p password]

DESCRIPTION
wdmLogin is greeter designed to work with wdm(1x). It has several features not found on xdm's greeter. wdmLogin should not be called directly, that's wdm's task.

OPTIONS

-d  starts on the specified display

-l  uses the specified logo for the panel. The logo will be resized to 200 by 130 pixels.

-w  presents the colon separated list of window managers, for the user to pick one, or None if you want only NoChange to appear.

-a  enables animations consisting of shaking the Login panel (if an error) and rolling up the image (when closing the panel).

-h  uses the specified text file to display in the help panel instead of the static help message which is in the sources. Take care of long lines which may cause display trouble in the help panel.

-u  use the default username and password as specified in wdm-config if nothing is typed by the user. USE WITH EXTREME CAUTION.

-b  uses the specified background image (see the next section). If this is not specified, then the background is NOT set.

BACKGROUND IMAGE SPECIFICATION
There are several possible ways of specifing a background image. The generic format is -btype:image. type can be any of:

none
    do not set the background. This user can still set the background via other means.

solid
    it renders a solid backgroud, and image is a color name

hgradient, vgradient, dgradient
    a gradient (either horizontal, vertical or diagonal) will be rendered. image is comma separated of color names, and any number of colors can be specified.

pixmap
    a pixmap will be used for the background. image is the full path to an image file (tiff, png, jpeg and xpm allowed) and it will be scaled to use the full screen.

FILES
wdmLogin can be customized by modifying /etc/X11/wdm/wdm-config.

ENVIRONMENT VARIABLES
Some variables that defines locale affects the look of wdmLogin. wdm program will set LANG environment variable according to `wdmLocale' resource in wdm-config file.

SEE ALSO
wdm(1x) , locale(1)

AUTHOR
wmdLogin was written by Gene Czarcinski <genec@mindspring.com>. wdm is based on work by Tom Rothamel (xdm's external greeter protocol) and xdm itself, (c) 1988 X Consortium

This man page was written by Marcelo Magallon <mmagallo@debian.org> and modified by Jerome Alet <alet@unice.fr>